Skip to content

Retrieve option details ​

GET/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-properties/{property_id}/options/{option_id}/

Get issue property option by id

Path Parameters ​

option_id:requiredstring

The unique identifier of the option.

project_id:requiredstring

The unique identifier of the project.

property_id:requiredstring

The unique identifier of the property.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

Scopes ​

projects.work_item_property_options:read

Retrieve option details
bash
curl -X GET \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-item-properties/property-uuid/options/option-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response200
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z",
  "name": "Example Name",
  "description": "Example description",
  "deleted_at": "2024-01-01T00:00:00Z",
  "sort_order": 1,
  "logo_props": "example-value",
  "is_active": true,
  "is_default": true,
  "external_source": "github",
  "external_id": "550e8400-e29b-41d4-a716-446655440000"
}